"use strict";
this.name = "Goods Container";
this.author = "Reval";
this.licence = "CC BY-NC-SA 4.0";


this.playerBoughtEquipment = function(equipment, paid) {
	// keep tally of containers bought
	this.$gcCount++;
    // and don't let them exceed ship's pylon-capacity
	if ((equipment == "EQ_GC_MINE") && (this.$gcCount<=this.$gcMCap)) 
		player.ship.cargoSpaceCapacity += 5;
}


this.playerBoughtNewShip = function(ship, price) {
	// missile capacity (not exceed)
	this.$gcMCap = player.ship.missileCapacity;
	this.$gcCount = 0;
}


this.equipmentRemoved = function(equipmentKey) {
    if (equipmentKey == "EQ_GC_MINE") {
		player.ship.cargoSpaceCapacity -= 5;
		this.$gcCount--;	
	}
}


this.shipReleasedEquipment = function(mine) {
    if (mine == "EQ_GC_MINE") {
		player.ship.cargoSpaceCapacity -= 5;
		this.$gcCount--;	
	}
}


this.shipFiredMissile = function(missile, target) {
    if (missile == "EQ_GC_MINE") {
		player.ship.cargoSpaceCapacity -= 5;
		this.$gcCount--;	
	}
}


this.startUpComplete = function () {
	// missile capacity (not exceed)
	this.$gcMCap = player.ship.missileCapacity;
	this.$gcCount = player.ship.missiles.length;
	// Load new cargo cap if present
	if (missionVariables.gcCargo) {
		player.ship.cargoSpaceCapacity = missionVariables.gcCargo;
	}
}


this.startUp = function() {
	// missile capacity (not exceed)
	this.$gcMCap = 0;
	this.$gcCount = 0;
}


this.playerWillSaveGame = function(message) {
	missionVariables.gcCount = player.ship.missileCapacity;
	missionVariables.gcCargo = player.ship.cargoSpaceCapacity;
}
